searchNodes=[{"doc":"Convenience macros to eliminate laborious typing. Provides macros for short map, string keyed map, keyword lists, and structs (ES6 like style) Examples: These examples use variable arguments (default is 10, see configuration below) Instead of %{one: one, two: two, three: three} , you can type m(one, two, three) Instead of my_func(one: one, two: two, three: three) , you can type my_func(kw(one, two, three)) Instead of %MyStruct(one: one, two: two, three: three) , you can type st(MyStruct, one, two, three) Without variable arguemnts, Instead of %{one: one, two: two, three: three} , you can type m([one, two, three]) Instead of my_func(one: one, two: two, three: three) , you can type my_func(kw([one, two, three])) Instead of %MyStruct(one: one, two: two, three: three) , you can type bulid_struct(MyStruct, [one, two, three]) Configuration For the convenience of m(a, b, c, d, e, f, g, h, i, j) instead of m([a, b, c, d, e, f, g, h, i, j]) Shorthand generates multiple copies of each macro like m/1, m/2, m/3, …, m/10. You can configure how many of these &quot;variable argument&quot; macros are generated. config :shorthand , variable_args : 10 # false to remove variable arguemnts Usage You can import the Shorthand module and call each macro defmodule MyModule do import Shorthand def my_func ( m ( a , b ) ) do kw ( a , b ) end end or you can require the module and prefix calls with the module name (example uses a module alias to keep the typing low defmodule MyModule do require Shorthand , as : S def my_func ( S . m ( a , b ) ) do S . kw ( a , b ) end end Phoenix Examples defmodule MyController do # ... def index ( conn , sm ( id ) ) do model = Repo . get ( MyModel , id ) # ... end def create ( conn , sm ( my_model : sm ( first_name , last_name ) = params ) ) do changeset = MyModel . changeset ( % MyModel { } , params ) # params contains all form fields, not just first_name and last_name # ... conn |&gt; put_flash ( :notice , &quot;User \#{ first_name } \#{ last_name } was created successfully&quot; ) # ... end end","ref":"Shorthand.html","title":"Shorthand","type":"module"},{"doc":"Builds a keyword list where the keys and value arguments are the same name Example: iex&gt; a = 1 iex&gt; b = 2 iex&gt; c = 3 iex&gt; kw ( a , b , c ) [ a : 1 , b : 2 , c : 3 ] Examples iex&gt; c = 3 iex&gt; kw ( a , _b , ^ c ) = [ a : 1 , b : 3 , c : 3 ] iex&gt; a 1 iex&gt; match? ( kw ( ^ a ) , [ a : 2 ] ) false","ref":"Shorthand.html#kw/1","title":"Shorthand.kw/1","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/2","title":"Shorthand.kw/2","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/3","title":"Shorthand.kw/3","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/4","title":"Shorthand.kw/4","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/5","title":"Shorthand.kw/5","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/6","title":"Shorthand.kw/6","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/7","title":"Shorthand.kw/7","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/8","title":"Shorthand.kw/8","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/9","title":"Shorthand.kw/9","type":"macro"},{"doc":"","ref":"Shorthand.html#kw/10","title":"Shorthand.kw/10","type":"macro"},{"doc":"Builds a map where the keys and values have the same name Example: iex&gt; a = 1 iex&gt; b = 2 iex&gt; m ( a , b ) %{ a : 1 , b : 2 } Example: iex&gt; a = 1 iex&gt; c = 2 iex&gt; m ( a , b : m ( c ) , d : nil ) %{ a : 1 , b : %{ c : 2 } , d : nil } Example: iex&gt; a = 1 iex&gt; m ( ^ a , _b , c ) = %{ a : 1 , b : 3 , c : 2 } iex&gt; c 2 iex&gt; match? ( m ( ^ a ) , %{ a : 2 } ) false Example: iex&gt; m ( model : m ( a , b ) = params ) = %{ model : %{ a : 1 , b : 2 , c : 3 , d : 4 } } iex&gt; params %{ a : 1 , b : 2 , c : 3 , d : 4 } iex&gt; a 1 iex&gt; b 2","ref":"Shorthand.html#m/1","title":"Shorthand.m/1","type":"macro"},{"doc":"","ref":"Shorthand.html#m/2","title":"Shorthand.m/2","type":"macro"},{"doc":"","ref":"Shorthand.html#m/3","title":"Shorthand.m/3","type":"macro"},{"doc":"","ref":"Shorthand.html#m/4","title":"Shorthand.m/4","type":"macro"},{"doc":"","ref":"Shorthand.html#m/5","title":"Shorthand.m/5","type":"macro"},{"doc":"","ref":"Shorthand.html#m/6","title":"Shorthand.m/6","type":"macro"},{"doc":"","ref":"Shorthand.html#m/7","title":"Shorthand.m/7","type":"macro"},{"doc":"","ref":"Shorthand.html#m/8","title":"Shorthand.m/8","type":"macro"},{"doc":"","ref":"Shorthand.html#m/9","title":"Shorthand.m/9","type":"macro"},{"doc":"","ref":"Shorthand.html#m/10","title":"Shorthand.m/10","type":"macro"},{"doc":"Builds a map where the string keys and values have the same name Example: iex&gt; a = 1 iex&gt; b = 2 iex&gt; sm ( a , b ) %{ &quot;a&quot; =&gt; 1 , &quot;b&quot; =&gt; 2 } Example: iex&gt; a = 1 iex&gt; b = 2 iex&gt; sm ( a , other : sm ( b ) ) %{ &quot;a&quot; =&gt; 1 , &quot;other&quot; =&gt; %{ &quot;b&quot; =&gt; 2 } } Example: iex&gt; a = 1 iex&gt; sm ( ^ a , _b , c ) = %{ &quot;a&quot; =&gt; 1 , &quot;b&quot; =&gt; 3 , &quot;c&quot; =&gt; 2 } iex&gt; c 2 iex&gt; match? ( sm ( ^ a ) , %{ &quot;a&quot; =&gt; 2 } ) false Example: iex&gt; sm ( model : sm ( a , b ) = params ) = %{ &quot;model&quot; =&gt; %{ &quot;a&quot; =&gt; 1 , &quot;b&quot; =&gt; 2 , &quot;c&quot; =&gt; 3 , &quot;d&quot; =&gt; 4 } } iex&gt; params %{ &quot;a&quot; =&gt; 1 , &quot;b&quot; =&gt; 2 , &quot;c&quot; =&gt; 3 , &quot;d&quot; =&gt; 4 } iex&gt; a 1 iex&gt; b 2","ref":"Shorthand.html#sm/1","title":"Shorthand.sm/1","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/2","title":"Shorthand.sm/2","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/3","title":"Shorthand.sm/3","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/4","title":"Shorthand.sm/4","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/5","title":"Shorthand.sm/5","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/6","title":"Shorthand.sm/6","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/7","title":"Shorthand.sm/7","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/8","title":"Shorthand.sm/8","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/9","title":"Shorthand.sm/9","type":"macro"},{"doc":"","ref":"Shorthand.html#sm/10","title":"Shorthand.sm/10","type":"macro"},{"doc":"Builds a struct where the field names are the same as the arguments supplied Example: iex&gt; scheme = &quot;https&quot; iex&gt; host = &quot;elixir-lang.org&quot; iex&gt; path = &quot;/docs.html&quot; iex&gt; st ( URI , scheme , host , path ) % URI { scheme : &quot;https&quot; , host : &quot;elixir-lang.org&quot; , path : &quot;/docs.html&quot; }","ref":"Shorthand.html#st/2","title":"Shorthand.st/2","type":"macro"},{"doc":"","ref":"Shorthand.html#st/3","title":"Shorthand.st/3","type":"macro"},{"doc":"","ref":"Shorthand.html#st/4","title":"Shorthand.st/4","type":"macro"},{"doc":"","ref":"Shorthand.html#st/5","title":"Shorthand.st/5","type":"macro"},{"doc":"","ref":"Shorthand.html#st/6","title":"Shorthand.st/6","type":"macro"},{"doc":"","ref":"Shorthand.html#st/7","title":"Shorthand.st/7","type":"macro"},{"doc":"","ref":"Shorthand.html#st/8","title":"Shorthand.st/8","type":"macro"},{"doc":"","ref":"Shorthand.html#st/9","title":"Shorthand.st/9","type":"macro"},{"doc":"","ref":"Shorthand.html#st/10","title":"Shorthand.st/10","type":"macro"},{"doc":"","ref":"Shorthand.html#st/11","title":"Shorthand.st/11","type":"macro"},{"doc":"Convenience macros to eliminate laborious typing. Provides macros for short map, string keyed map, keyword lists, and structs (ES6 like style)","ref":"readme.html","title":"Shorthand","type":"extras"},{"doc":"Add shorthand as a dependency in your project in your mix.exs file: def deps do [ { :shorthand , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"Shorthand - Installation","type":"extras"},{"doc":"See the docs for more examples defmodule MyModule do import Shorthand defstruct name : nil , age : nil def my_func ( m ( name , age , _height ) ) do st ( MyModule , name , age ) end end","ref":"readme.html#usage","title":"Shorthand - Usage","type":"extras"}]